%define upstream_name    Eval-Compile
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Perl extension for compile eval
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Eval-Compile-0.11-fix-build.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Faster replacement for string evals. It takes evaled strings and compiles
into specific perl sub with some data, and do it once for any given string
So next execution take a fraction of first eval to execute.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.110.0-22.mga9
+ Revision: 1861893
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.110.0-21.mga9
+ Revision: 1795731
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.110.0-20.mga9
+ Revision: 1726573
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.110.0-19.mga8
+ Revision: 1594777
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.110.0-18.mga8
+ Revision: 1529460
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.110.0-17.mga8
+ Revision: 1433588
- rebuild for perl 5.30

* Tue Mar 12 2019 tv <tv> 0.110.0-16.mga7
+ Revision: 1374714
- fix summary

* Fri Sep 21 2018 umeabot <umeabot> 0.110.0-15.mga7
+ Revision: 1292836
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.110.0-14.mga7
+ Revision: 1249388
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.110.0-13.mga7
+ Revision: 1164300
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.110.0-12.mga7
+ Revision: 1148879
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.110.0-11.mga7
+ Revision: 1126517
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-10.mga6
+ Revision: 1026936
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-9.mga6
+ Revision: 957269
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-8.mga6
+ Revision: 843673
- Fix build with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-7.mga5
+ Revision: 749149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 684649
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.110.0-5.mga5
+ Revision: 631146
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-4.mga4
+ Revision: 524301
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-3.mga4
+ Revision: 430690
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 366915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 294959
- update to 0.11

* Wed May 30 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 250607
- rebuild for perl 5.16

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165056
- imported package perl-Eval-Compile


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
